
class NilClass

  # Allows <tt>nil</tt> to respond to #empty? method.
  # Alwasy returns <tt>true</tt>.
  #
  #  nil.empty?   #=> true
  #
  def empty? ; true ; end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCNilClass < Test::Unit::TestCase

    def test_empty?
      assert( nil.empty? )
    end

  end

=end
